<?php

use Diglactic\Breadcrumbs\Breadcrumbs;
use Seka\Vzdelavanie\Models\Pouzivatel\Testovanie\Test;

Breadcrumbs::for('vzdelavanie.testy.index', function ($trail) {
    $trail->parent('vzdelavanie.index');
    $trail->push('Testy', route('vzdelavanie.testy.index'));
});

Breadcrumbs::for('vzdelavanie.testy.zoznam', function ($trail) {
    $trail->parent('vzdelavanie.testy.index');
    $trail->push('Spustenie testu', route('vzdelavanie.testy.zoznam'));
});

Breadcrumbs::for('vzdelavanie.testy.pouzivatela.historia', function ($trail) {
    $trail->parent('vzdelavanie.testy.index');
    $trail->push('História testov', route('vzdelavanie.testy.pouzivatela.historia'));
});

Breadcrumbs::for('vzdelavanie.testy.pouzivatela.test.spustenie', function ($trail, $vzdPzvtlTstTstId) {
    $test = Test::query()->findOrFail($vzdPzvtlTstTstId);
    $trail->parent('vzdelavanie.testy.pouzivatela.historia');
    $trail->push('Nový test', route('vzdelavanie.testy.pouzivatela.test.spustenie', $test));
});

Breadcrumbs::for('vzdelavanie.testy.pouzivatela.test.vyhodnotenie', function ($trail, $vzdPzvtlTstTstId) {
    $test = Test::query()->findOrFail($vzdPzvtlTstTstId);
    $trail->parent('vzdelavanie.testy.pouzivatela.historia');
    $trail->push('Vyhodnotenie testu', route('vzdelavanie.testy.pouzivatela.test.vyhodnotenie', $test));
});
